Subject: Ticket Assigned - Returns
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Thu, 18 Mar 2021 12:48:16 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Hi, 
Last February 8, 2021, I visited your brance in Sulaimaniyah, Riyadh to return an item that I ordered online Order# 6267038272. Unfortunately, a month passed by but it was still not refunded.I called yous Customer Service hotline to seek assitance on this matter and they advise me to go back to the branch where I returned the item and informed them that the refund was not yet inititated by them, so I went to the branch March 8 and informed them what the Customer Service Agent had told me.

I spoke to the Branch Manager and to the guy handling the online orders, and they informed me that they cannot do anything with it anymore because they already issued the receipt of the refund. I keep on explaining to them that as per the customer service system it shows that there was no refund initiated on the item that I retuned. I got fed up on explaining sevral times to them, especially to the guy assigned for online orders, he is very rude and has a bad attitude and keep saying to me "What does initiate mean?", and "I am fed up because someone cause me to be irritated" Is this the right way to treat your customers? In the end, I gave my contact number to the branch manager and he told me that he will coordinate this matter to their IT staff and will contact me accordingly.

I dont't want to argue with them over the small amount that Im refunding, but my point here is, I am a customer and I need proper assistance on my claim. Therefore, I am demanding an appropriate action for your staff's misbehaviour.

And  please note that  until today, I have not received any update from the branch manager.

Thank you and highly appreciate your assistance on this matter. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2266282